#
# spec file for package ocaml-sexplib0
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-sexplib0
Version:        0.16.0
Release:        1.2
%{?ocaml_preserve_bytecode}
Summary:        Library containing the definition of S-expressions and some base converters
License:        MIT
ExclusiveArch:  aarch64 ppc64 ppc64le riscv64 s390x x86_64
Group:          Development/Languages/OCaml
BuildRoot:      %_tmppath/%name-%version-build
URL:            https://opam.ocaml.org/packages/sexplib0
Source0:        %name-%version.tar.xz
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20230101
BuildRequires:  ocaml(ocaml_base_version) >= 4.08

%description
Library containing the definition of S-expressions and some base converters.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%setup -q

%build
dune_release_pkgs='sexplib0'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files
%defattr(-,root,root,-)

%files devel -f %name.files.devel
%defattr(-,root,root,-)

%changelog
* Fri May  5 2023 ohering@suse.de
- Update to version 0.16.0
  No changelog provided
* Sun Jan  1 2023 ohering@suse.de
- Update to version 0.15.1
  Handle OCaml 5.0
* Mon Apr  4 2022 ohering@suse.de
- Update to version 0.15.0
  No changelog provided
* Thu Aug 20 2020 ohering@suse.de
- Update to version 0.14.0
* Thu Feb 20 2020 ohering@suse.de
- Update to version 0.13.0
- Require current ocaml-rpm-macros
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
* Mon Sep 23 2019 ohering@suse.de
- Initial version 0.12.0
